[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [ide-dev] Issue on Hudson builds

Well, couldn't really find out which dep actually did that (I just require things from the platform.ui and platform.text, which I think can't really require java 9)...Â

Anyways, just asked for a rebuild today and it now compiles properly again (so, I guess something else broke and has been fixed in the meanwhile).

Thanks,

Fabio

On Fri, Oct 27, 2017 at 5:59 PM, Andrey Loskutov <loskutov@xxxxxx> wrote:
One of your dependencies requires now Java 9, I guess. Go find it in the maven log, if you can. Excellent example of information hiding through information overflow.

Am 27. Oktober 2017 21:00:58 MESZ schrieb Fabio Zadrozny <fabiofz@xxxxxxxxx>:
>Hi ide-dev,
>
>I'm in the process of adding macro support for the IDE to the
>incubation
>but I'm stumbling across a build failure that doesn't seem to make
>sense
>for me:
>
>URL:
>https://hudson.eclipse.org/e4/job/org.eclipse.e4.ui-Gerrit/243/console
>
>Error:
>
>[INFO] o.h.m.e.h.MavenExecutionResultHandler - Build failed with
>exception(s)
>[INFO] o.h.m.e.h.MavenExecutionResultHandler - [1]
>org.apache.maven.lifecycle.LifecycleExecutionException: Failed to
>execute
>goal org.eclipse.tycho:tycho-compiler-plugin:1.1.0-SNAPSHOT:compile
>(default-compile) on project org.eclipse.e4.jdt.scope: Execution
>default-compile of goal
>org.eclipse.tycho:tycho-compiler-plugin:1.1.0-SNAPSHOT:compile failed:
>A
>required class was missing while executing
>org.eclipse.tycho:tycho-compiler-plugin:1.1.0-SNAPSHOT:compile:
>javax/lang/model/element/ModuleElement
>
>(note that the same build had only a few tests failures which were ok
>previously --
>https://hudson.eclipse.org/e4/job/org.eclipse.e4.ui-Gerrit/241/ and I
>can't
>see anything I could've done to trigger that error).
>
>Does anyone know something which could've triggered that error or how
>to
>fix it?
>
>Thanks,
>
>Fabio

--
Kind regards,
Andrey Loskutov

http://google.com/+AndreyLoskutov